﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Syncfusion.Shared.Web" Namespace="Syncfusion.Web.UI.WebControls.Shared" TagPrefix="syncfusion" %>
<%@ Register Assembly="Syncfusion.Tools.Web" Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="syncfusion" %>


<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID ="FeaturedContent" >
     <input type="button" value="Load" id="Button1" onclick="load()"/>
    <ej:Chart ID="Chart1" CanResize="true" OnClientPointRegionClick="onclick"  OnClientLegendItemRendering="legend" OnClientAnimationComplete="completeAnimation"
         Height="600" runat="server" Width="900">
        <Title Text="Automobile Sales by Category"></Title>
        <Legend Visible="true" Position="Right" />
        <CommonSeriesOptions Type="Pie" EnableAnimation="True" Tooltip-Format= "#point.x# : #point.y# %" Tooltip-Visible="true" Tooltip-Fill="#72bc49"
Tooltip-Border-Width="1" 
Tooltip-Border-Color="#FFFFFF"
Tooltip-Font-Color="#FFFFFF"></CommonSeriesOptions>
        <Series>
            <ej:Series Name="Market" Explode="True" Type="pie">
            <Marker Visible="True">
                <DataLabel  Visible="True"></DataLabel>
            </Marker>
            </ej:Series>
        </Series>
        <Zooming Enable="true" />
    </ej:Chart>
    <button id="back" style="visibility:hidden; position:absolute; right:200px; top:250px">Back</button>
    <script>
        $("#back").ejButton({
            click: "displayResult",
            size: "medium"
        });

    </script>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="MainContent" >
    <script>
        
        var first = [{ x: "Toyota", y: 8, text: 'Toyota 8%' }, { x: "Ford", y: 12, text: 'Ford 12%' }, { x: "GM", y: 17, text: 'GM 17%' }, { x: "Renault", y: 6, text: 'Renault 6%' }, { x: "Fiat", y: 3, text: 'Fiat 3%' },
                           { x: "Hyundai", y: 16, text: 'Hyundai 16%' }, { x: "Honda", y: 8, text: 'Honda 8%' }, { x: "Maruthi", y: 10, text: 'Maruthi 10%' }, { x: "BMW", y: 20, text: 'BMW 20%' }
        ];
        var second = [{ x: "Toyota", y: 7, text: 'Toyota 7%' }, { x: "Chrysler", y: 12, text: 'Chrysler 12%' }, { x: "Nissan", y: 9, text: 'Nissan 9%' }, { x: "Ford", y: 15, text: 'Ford 15%' },
                         { x: "Tata", y: 10, text: 'Tata 10%' }, { x: "Mahindra", y: 7, text: 'Mahindra 7%' }, { x: "Renault", y: 8, text: 'Renault 8%' }, { x: "Skoda", y: 5, text: 'Skoda 5%' },
                          { x: "Volkswagen", y: 15, text: 'Volkswagen 15%' }, { x: "Fiat", y: 3, text: 'Fiat 3%' }
        ];
        var third = [{ x: "Nissan", y: 9, text: 'Nissan 9%' }, { x: "Chrysler", y: 4, text: 'Chrysler 4%' }, { x: "Ford", y: 7, text: 'Ford 7%' }, { x: "Toyota", y: 20, text: 'Toyota 20%' },
                          { x: "Suzuki", y: 13, text: 'Suzuki 13%' }, { x: "Lada", y: 12, text: 'Lada 12%' }, { x: "Bentley", y: 6, text: 'Bentley 6%' }, { x: "Volvo", y: 10, text: 'Volvo 10%' },
                             { x: "Audi", y: 19, text: 'Audi 19%' }
        ];
        var fourth = [{ x: "Hummer", y: 11, text: 'Hummer 11%' }, { x: "Ford", y: 5, text: 'Ford 5%' }, { x: "GM", y: 12, text: 'GM 13%' }, { x: "Chrysler", y: 3, text: 'Chrysler 3%' },
                            { x: "Jaguar", y: 9, text: 'Jaguar 10%' }, { x: "Fiat", y: 8, text: 'Fiat 8%' }, { x: "Honda", y: 15, text: 'Honda 16%' }, { x: "Hyundai", y: 4, text: 'Hyundai 4%' },
                              { x: "Scion", y: 11, text: 'Scion 12%' }, { x: "Toyota", y: 17, text: 'Toyota 18%' }

        ];
        var def = [{ "open": "SUV", "close": 25 }, { "open": "Car", "close": 37 }, { "open": "Pickup", "close": 15 }, { "open": "Minivan", "close": 23 }, ];
        function load()
        {
            var sender = $("#Chart1").ejChart("instance");
            var data = [{ "open": "SUV", "close": 25 }, { "open": "Car", "close": 37 }, { "open": "Pickup", "close": 15 }, { "open": "Minivan", "close": 23 }, ];
            sender.model.series[0].dataSource = data;
            sender.model.series[0].xName = "open";
            sender.model.series[0].yName = "close";
            sender.redraw();
        }
        function onclick(sender) {
            $("#Chart1").ejWaitingPopup()
            $("#Chart1").ejWaitingPopup("show");
            var pointIndex = sender.data.region.Region.PointIndex;
            if (sender.model.series[0].name == "Market")
                $("#Chart1").ejChart("option", { "drilldown": pieSeries(pointIndex,sender) });
            $("#Chart1").ejWaitingPopup("hide");

        }

            function render(sender)
            {
                var i = 0;
                var length = sender.model.series[0].points.length;
                for (i = 0; i < length; i++)
                {
                    sender.model.series[0].points[i].text = sender.model.series[0].points[i].y + "%";
                }
                
            }
        function completeAnimation(sender) {
            if (sender.model.series[0].name != "Market")
                document.getElementById("back").style.visibility = "visible";
            else
                document.getElementById("back").style.visibility = "hidden";
        }
        function displayResult() {
            $("#Chart1").ejChart("option", { "drilldown": pieSeries() });
            document.getElementById("back").style.visibility = "hidden";
        }

        function legend(sender)
        {
            var length = sender.model.legendCollection.length;
            for (i = 0; i < length; i++)
            {
                if (sender.model.series[0].points[i].x == sender.model.legendCollection[i].Text)
                sender.model.legendCollection[i].Text = "Lat " + sender.model.legendCollection[i].Text;
            }
            
        }
        function pieSeries(index) {
            if (index == 0) {
                return {
                    title: { text: 'Automobile Sales in the SUV segment' },
                    series: [{
                        dataSource: first,
                        xName: 'x',
                        yName:'y',
                        name: 'SUV-Sale', labelPosition: 'outside', enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                        }
                    }],
                    preRender: 'render',
                    legend: { visible: false },
                 };
            }
            else if (index == 1) {
                return {
                    title: { text: 'Automobile Sales in the Car segment' },
                    series: [{
                        dataSource: second,
                        xName: 'x',
                        yName: 'y',
                        name: 'Car-Sale', labelPosition: 'outside', enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                        }
                    }],
                    preRender:'render',
                    legend: { visible: false }

                };

            }
            else if (index == 2) {
                return {
                    title: { text: 'Automobile Sales in the Pickup segment' },
                    series: [{
                        dataSource: third,
                        xName: 'x',
                        yName: 'y',
                        name: 'Pickup-Sale', labelPosition: 'outside', enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                        }

                    }],
                    preRender: 'render',
                    legend: { visible: false }

                };
            }
            else if (index == 3) {
                return {
                    title: { text: 'Automobile Sales in the Minivan segment' },
                    series: [{
                        dataSource: fourth,
                        xName: 'x',
                        yName: 'y',
                        name: 'Minivan-Sale', labelPosition: 'outside', enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                        }

                    }],

                    preRender: 'render',
                    legend: { visible: false }

                };
            } else {
                return {
                    title: { text: 'Automobile Sales by Category' },
                    series: [{
                        dataSource: def,
                        xName: 'open',
                        yName: 'close',
                        name: 'Market', explode: true, enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, font: { size: '24px', color: "#FFFFFF" } }
                        },
                    }
                    ],
                    legendItemRendering:'legend',
                    commonSeriesOptions: { tooltip: { visible: true, format: "#point.x# : #point.y# %", fill: "red" } },
                    legend: { visible: true },
                    AnimationComplete: false,
                    preRender: 'render',
                };
            }
        }
    </script>
</asp:Content>